- Qt 6.5
- Qt 3D
- QML Types
- Qt3D.Render
- RenderCaptureReply
- Qt 6.5.1 Reference Documentation

# RenderCaptureReply QML Type

Receives render capture result. More...

Import Statement: | import Qt3D.Render 2.5
Instantiates: | QRenderCaptureReply

- List of all members, including inherited members

## Properties

- captureId : int
- complete : bool
- image : variant

## Methods

- bool saveImage(fileName)

## Detailed Description

## Property Documentation

[read-only] captureId : int

Holds the captureId, which was passed to the renderCapture.

[read-only] complete : bool

Holds the complete state of the render capture.

[read-only] image : variant

Holds the image, which was produced as a result of render capture.

## Method Documentation

bool saveImage(fileName)

Saves the render capture result as an image to fileName. Returns true if the image was successfully saved; otherwise returns false.